<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

    include("../../support/client/client_pays.php");   // ISO 3166-1 : Nom des territoires (de 0 à 243) (http://en.wikipedia.org/wiki/ISO_3166-1)

    if($_SESSION["mailcli"]) //si les sessions sont pleines
    {
      
      //si les 4 (3 + 1 sûr) champs sont remplis
      if(isset($_POST['nominstitutionbic']) and isset($_POST['villebic']) and isset($_POST['numpaysbic']) and isset($_POST['urlbic'])) 
      {
        //affectation et tout en majuscule
          $nominstitutionbic = substr(strtoupper(addslashes(htmlentities(strip_tags($_POST['nominstitutionbic'])))),0,120);
          $urlbic = substr(htmlentities(strip_tags($_POST['urlbic'])),0,100);
          $bic = substr(strtoupper(addslashes(htmlentities(strip_tags($_POST['bic'])))),0,11);
          $villebic = substr(strtoupper(addslashes(htmlentities(strip_tags($_POST['villebic'])))),0,40);
          $codepaysbic = $ISONomPaysApha2[$_POST['numpaysbic']];
          $paysbic = strtoupper($ISONomPays[$_POST['numpaysbic']]); // L'anglais est-il préférable ?
          
        if(empty($bic) and isset($_POST['branchebic']) ){
          
          $mic = substr($_POST['institutionmic'],0,4);
          $branchebic = substr(strtoupper(htmlentities(strip_tags($_POST['branchebic']))),0,3);
          $bic = $mic.$codepaysbic.substr($villebic,0,2).$branchebic; //calcul du BIC
          
        }
        
        //si les 4 champs ont une valeur correcte (3 + 1 sur)
        if (strlen($bic)=='11' and strlen($_POST['nominstitutionbic'])>='4' and strlen($_POST['villebic'])>='2' and strlen($_POST['urlbic'])>='16' )  {
          
          if ($connexion)// si connexion à la base réussi
          {
            mysql_select_db($base,$connexion);
            
            //deux BIC ne peuvent être identique
            $requete_banque = "Select * from freepay_banque where bic = '".$bic."';";
            $resultat_banque = mysql_query($requete_banque,$connexion); //connexion de la requete
            $ligne = mysql_fetch_assoc($resultat_banque); //affichage des résultats
              
            if (  empty($ligne)  )
            {
              //insertion
              mysql_query("INSERT INTO freepay_banque values ('$bic','$nominstitutionbic','$villebic','$codepaysbic','$paysbic','$urlbic')");
  
              echo "<p class='reussi'>L'identifiant de banque <strong>$bic</strong> a été ajoutée à la liste avec succès.</p>";
              
              echo "<h4 class='titre'>Récapitulatif du Bank Identifier Code (BIC)</h4>";
              
              echo '
                <table width="100%">
                  <tr>
                    <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=bic">BIC</a></th>
                    <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=nominstitutionbic">Nom de l\'Institution Financière</a></th>
                    <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=villebic">Ville</a></th>
                    <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=codepaysbic">Code Pays</a></th>
                    <th><a href="'.$AdresseFreePay.'virement/bic/bic_liste.php?ordre=paysbic">Pays</a></th>
                  </tr>
                  
                  <tr>
                      <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$bic.'</td>
                      <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  ><a href="'.$urlbic.'">'.$nominstitutionbic.'</a></td>
                   <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$villebic.'</td>
		      <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$codepaysbic.'</td>
                      <td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
                    onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$paysbic.'</td>
                  </tr>
                    
                </table>
                ';
              
              //Déstruction des variables après utilisation (sauf institution et pays)
              unset($_POST['bic'], $_POST['nominstitutionbic'], $_POST['villebic'], $_POST['urlbic']);
            }
            else
            {
              echo "<p class='info'>Le BIC <strong> $bic </strong> a déjà été ajoutée dans la base.</p>";
            }
          }
        }
      }
      
      include("bic_ajouter_interface.php");
      
    }else{
      echo "
		<script type='text/javascript'>
		  window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
		</script>
		";
    }
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page
  
?>
